#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Fixtures, reusable state for writing clean tests and more
Summary(pl.UTF-8):	Wyposażenie testów - stan wielokrotnego użytku pozwalający na pisanie czystych testów
Name:		python3-fixtures
Version:	4.2.5
Release:	1
License:	Apache v2.0 or BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/fixtures/
Source0:	https://files.pythonhosted.org/packages/source/f/fixtures/fixtures-%{version}.tar.gz
# Source0-md5:	eed87ce62f459e8cc3fe489d4898e495
URL:		https://pypi.org/project/fixtures/
BuildRequires:	python3-build
BuildRequires:	python3-hatch-vcs
BuildRequires:	python3-hatchling
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.8
%if %{with tests}
BuildRequires:	python3-testtools >= 0.9.22
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fixtures defines a Python contract for reusable state/support logic,
primarily for unit testing. Helper and adaption logic is included to
make it easy to write your own fixtures using the fixtures contract.
Glue code is provided that makes using fixtures that meet the Fixtures
contract in unittest compatible test cases easy and straight forward.

%description -l pl.UTF-8
Moduł fixtures (wyposażenie) definiuje pythonowy kontrakt dla stanu
wielokrotnego użytku i logiki wspierającej, służące głównie do testów
jednostkowych. Dołączona jest logika pomocnicza i adaptująca, mająca
na celu ułatwienie pisania własnego wyposażenia przy użyciu kontraktu
fixtures. Zapewniony jest kod sklejający, pozwalający na łatwe i
proste tworzenie wyposażenia spełniającego kontrakt fixtures w
przypadkach testowych zgodnych z modułem unittest.

%prep
%setup -q -n fixtures-%{version}

%build
%py3_build_pyproject

%if %{with tests}
%{__python3} -m testtools.run fixtures.test_suite
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/fixtures/tests/_fixtures
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/fixtures/tests/test_*.py
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/fixtures/tests/__pycache__/test_*.py*
: >$RPM_BUILD_ROOT%{py3_sitescriptdir}/fixtures/tests/__init__.py
%py3_comp $RPM_BUILD_ROOT%{py3_sitescriptdir}/fixtures
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitescriptdir}/fixtures

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BSD COPYING ChangeLog GOALS NEWS README.rst
%{py3_sitescriptdir}/fixtures
%{py3_sitescriptdir}/fixtures-%{version}.dist-info
%changelog
* Tue May 27 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-fixtures.git;a=log;h=master

* Mon May 26 2025 Jakub Bogusz <qboosh@pld-linux.org> ec53929
- python-fixtures.spec updated to 4.2.5 for python 3.8+

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 790b95d
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> e355043
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> 3dda164
- use patch -P

* Thu Mar 16 2023 Jakub Bogusz <qboosh@pld-linux.org> 5ce4bfa
- when removing tests, keep fixtures.tests.helpers for testresources tests; release 9

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> ced0579
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> d555b11
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 4c80d36
- rebuild with python 3.10

* Sun Feb 28 2021 Jan Palus <atler@pld-linux.org> 9894907
- release 5 (by relup.sh)

* Sat Jan 11 2020 Jakub Bogusz <qboosh@pld-linux.org> 4e4901e
- updated tests running
- don't package test suite
- release 4

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 35caae4
- rebuild with python 3.8
- release 3 (by relup.sh)

* Thu Jul 26 2018 Jakub Bogusz <qboosh@pld-linux.org> f0eb6a8
- updated URLs, mock patch cosmetic

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c10277
- release 2 (by relup.sh)

* Mon Apr 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 72f966a
- updated to 3.0.0
- rely on pythonegg dependencies

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> f6bde81
- python 3.6
- release 2 (by relup.sh)

* Sat May 14 2016 Jakub Bogusz <qboosh@pld-linux.org> 24361c7
- tests still fail on builders

* Sat May 14 2016 Jakub Bogusz <qboosh@pld-linux.org> 641b3e7
- updated to 2.0.0
- added mock patch (on python 3.3+ use dist unittest.mock instead of external mock)

* Sat Mar 12 2016 Jakub Bogusz <qboosh@pld-linux.org> 7550752
- typo

* Mon Mar 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 32b21be
- new

